﻿

/*** for PC Browser ***/
@media (min-width:401px)
{
ul.sub_menu {
width: 1100px;
margin: 15px auto;
padding: 20px 0;
display: flex;
flex-wrap: wrap;
justify-content: space-between;
}

ul.sub_menu li.btn {
background-color: transparent;
list-style: none;
margin-bottom: 2%;
width: 32.5%;
min-height: 160px;
}

ul.sub_menu li.btn a
{
border-color: #5EC1F1;
border-width: 4px;
border-radius: 15px;
border-style: solid;
box-shadow: 4px 4px 8px -2px #5EC1F1;
padding: 5px 5px 5px 110px;
width: 100%;
height: 100%;
color: #000000;
font-size: 160%;
font-weight: bold;
text-decoration: none !important;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    overflow: hidden;
    position: relative;
    background-size: auto 80px !important;
}

ul.sub_menu li.btn a:hover,
ul.sub_menu li.btn a:focus
{
box-shadow: none;
}

/*ul.sub_menu li.btn_1,
ul.sub_menu li.btn_2
{
width: 49%;
}*/

ul.sub_menu li.btn_1 a
{
background: url("../../../Images/re2026/info_icon1.png") no-repeat 30px center;
}

ul.sub_menu li.btn_2 a
{
background: url("../../../Images/re2026/misaki1.png") no-repeat 30px center;
}

ul.sub_menu li.btn_3 a
{
background: url("../../../Images/re2026/info_icon3.png") no-repeat 30px center;
}

ul.sub_menu li.btn_4 a
{
background: url("../../../Images/re2026/info_icon4.png") no-repeat 30px center;
}

ul.sub_menu li.btn_5 a
{
background: url("../../../Images/re2026/misaki3.png") no-repeat 30px center;
}

ul.sub_menu li.btn_6 a
{
background: url("../../../Images/re2026/info_icon6.png") no-repeat 30px center;
}


ul.sub_menu li.btn a::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 200%;
  height: 100%;
  background: linear-gradient(90deg,rgba(205, 238, 255, 0.5) 0%, rgba(205, 238, 255, 0.5) 50%, rgba(255, 255, 255, 0.5) 80%, rgba(255, 255, 255, 1) 100%);
  transform: translateX(-200%); 
  transition: transform 0.4s ease;
  z-index: -1; /* テキストの下に配置 */
}

ul.sub_menu li.btn a:hover {
}

ul.sub_menu li.btn a:hover::before,
ul.sub_menu li.btn a:focus::before
{
  transform: translateX(0); /* 左からスライドしてくる */
}
}


/*** for Smart Phone ***/
@media (max-width:400px)
{
ul.sub_menu {
width: 100%;
margin: 15px auto 0px;
display: flex;
flex-wrap: wrap;
justify-content: space-between;
}

ul.sub_menu li.btn {
    background-color: transparent;
    padding: 0 5px;
    box-sizing: border-box;
list-style: none;
margin-bottom: 10px;
width: 98%;
min-height: 120px;
}

ul.sub_menu li.btn a
{
    background-size: 80px 80px !important;
border-color: #5EC1F1;
border-width: 4px;
border-radius: 15px;
border-style: solid;
box-shadow: 4px 4px 8px -2px #5EC1F1;
    padding: 10px 10px 10px 120px;
width: 100%;
height: 100%;
color: #000000;
font-size: 100%;
font-weight: bold;
text-decoration: none !important;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    overflow: hidden;
    position: relative;
}

ul.sub_menu li.btn a:hover
{
box-shadow: none;
}

ul.sub_menu li.btn_1,
ul.sub_menu li.btn_2
{
width: 98%;
}

ul.sub_menu li.btn_1 a
{
background: url("../../../Images/re2026/info_icon1.png") no-repeat 15px center;
}

ul.sub_menu li.btn_2 a
{
background: url("../../../Images/re2026/misaki1.png") no-repeat 15px center;
}

ul.sub_menu li.btn_3 a
{
background: url("../../../Images/re2026/info_icon3.png") no-repeat 15px center;
}

ul.sub_menu li.btn_4 a
{
background: url("../../../Images/re2026/info_icon4.png") no-repeat 15px center;
}

ul.sub_menu li.btn_5 a
{
background: url("../../../Images/re2026/misaki3.png") no-repeat 15px center;
}

ul.sub_menu li.btn_6 a
{
background: url("../../../Images/re2026/info_icon6.png") no-repeat 15px center;
}


ul.sub_menu li.btn a::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 200%;
  height: 100%;
  background: linear-gradient(90deg,rgba(205, 238, 255, 0.5) 0%, rgba(205, 238, 255, 0.5) 50%, rgba(255, 255, 255, 0.5) 80%, rgba(255, 255, 255, 1) 100%);
  transform: translateX(-200%); 
  transition: transform 0.4s ease;
  z-index: -1; /* テキストの下に配置 */
}

ul.sub_menu li.btn a:hover {
}

ul.sub_menu li.btn a:hover::before {
  transform: translateX(0); /* 左からスライドしてくる */
}
}
